/preview/product-sets/dataset/{dataset-id}
curl --request GET \
--url https://api.criteo.com/preview/product-sets/dataset/{dataset-id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/preview/product-sets/dataset/{dataset-id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/preview/product-sets/dataset/{dataset-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"creationDate": "<string>",
"datasetId": "<string>",
"keepVariantProducts": true,
"minimumNumberOfProducts": 123,
"name": "<string>",
"numberOfProducts": 123,
"rules": [
{
"values": [
"<string>"
]
}
],
"id": "<string>",
"isFallbackAllowed": true
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/product-sets/dataset/{dataset-id}
Fetch product sets of a given dataset
GET
/
preview
/
product-sets
/
dataset
/
{dataset-id}
/preview/product-sets/dataset/{dataset-id}
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the dataset that should be used for product set retrieval
Response
200 - application/json
Products sets fetched successfully
A class implementing the response of the Criteo API as described in API Guild Guidelines with collection of entities as body
Was this page helpful?
⌘I